<?php
include_once("incs/conf.php");
include_once("incs/fmysql.php");
include_once("incs/fnc.php");
include_once("incs/head.php");

$act=fil($_GET['act']);
$id=fil($_GET['id']);

$ban_ok=$user[ban]-$time;
if($ban_ok>0){
head("Опрос",$meuser,$auth);
echo "<div class='rowup'>";
include_once("incs/title.php");
echo "Опрос</div>";

echo "Вы забанены по причине:<br>";
echo "<b>$user[ban_prich]</b><br>";
echo "До окончания бана осталось: $ban_ok сек.<br>";
echo "Старайтесь больше не нарушать <a href=\"rules.php\">правила</a> сайта!<br>";
include_once("incs/down.php");
}

if($settings[votes]==1){
head("Опрос",$meuser,$auth);
echo "<div class='rowup'>";
include_once("incs/title.php");
echo "Опрос</div>";

echo "Раздел закрыт<br>";
include_once("incs/down.php");}

if($user[level]>=9){
switch($act){

case'finish':
head("Опрос  - Создать опрос",$meuser,$auth);
echo "<div class='rowup'>";
include_once("incs/title.php");
echo "<a href=\"votes.php\">Опрос</a> - Создать опрос</div>";

$name=filtr($_POST['name']);
$filtr_pov=mysql_fetch_array(mysql_query("SELECT * FROM `votes` WHERE `name` = '$name'"));
if($filtr_pov[id]==""){
if(strlen($name)>200 OR strlen($name)<5){
echo "Вопрос слишком длинный или закороткий<br>";
}else{
$kol=0;
for($i=0;$i<$id;$i++)
{
$vopr=filtr($_POST["otvet$i"]);
if($vopr=="")
{
$kol++;
}
}
if($kol>0)
{
echo "Вы заполнили не все поля вариантов ответов<br>";
}else{
mysql_query("INSERT INTO `votes` (`name`, `otvet`, `time`) values('$name', '$id', '".date('Y.m.d/H:i')."')");
$id_otvet=mysql_fetch_array(mysql_query("SELECT * FROM `votes` WHERE `id` != '0' ORDER BY id DESC LIMIT 1"));
for($i=0;$i<$id;$i++){
$vop=filtr($_POST["otvet$i"]);
mysql_query("INSERT INTO `votes_var` (`id_votes`, `otvet`) values('".($id_otvet[id])."', '$vop')");
}
echo "Опрос успешно создан<br>";
}
}
}else{
echo "Такой опрос уже создан<br>";
}
include_once("incs/down.php");
break;

case'new_next':

head("Опрос  - Создать опрос",$meuser,$auth);
echo "<div class='rowup'>";
include_once("incs/title.php");
echo "<a href=\"votes.php\">Опрос</a> - Создать опрос</div>";

$kol_otv=intval($_POST['otvet']);
echo "<form method='post' action='?act=finish&id=$kol_otv'>";
echo "Опрос:<br><input type='text' name='name' maxlength='32'/><br>";

for($i=0;$i<$kol_otv;$i++){
echo "<b>".($i+1).":</b><input name=\"otvet".($i)."\" value=\"".filtr($otvet[$i])."\" type=\"text\" size='15'/><br>";
}
echo '<input type="submit" value="Создать"/></form>';

include_once("incs/down.php");
break;


case'new':

head("Опрос - Создать опрос",$meuser,$auth);
echo "<div class='rowup'>";
include_once("incs/title.php");
echo "<a href=\"votes.php\">Опрос</a> - Создать опрос</div>";

echo "<form method='post' action='?act=new_next'>";
echo "Количество ответов:<br><select name=\"otvet\"><br>";
echo "<option value=\"2\">2</option>";
echo "<option value=\"3\">3</option>";
echo "<option value=\"4\">4</option>";
echo "<option value=\"5\">5</option>";
echo "</select><br>";
echo '<input type="submit" value="Продолжить"/></form>';

include_once("incs/down.php");
break;
}
}

if($id!=""){
$votes=mysql_fetch_array(mysql_query("SELECT * FROM `votes` WHERE `id` = '$id'"));
if($votes[name]!=""){
head("Опрос - $votes[name]",$meuser,$auth);
echo "<div class='rowup'>";
include_once("incs/title.php");
echo "<a href=\"votes.php\">Опрос</a> - $votes[name]</div>";

$votes_access=mysql_fetch_array(mysql_query("SELECT * FROM `votes_access` WHERE `id_votes` = '$id' AND `id_user` = '$user[id]'"));
if($votes_access[id]!=""){
echo "<div class='rowap'>";
echo "$votes[name]<br>";
echo "Всего проголосовало: <b>$votes[votes]</b></div>";

$vot_g=mysql_query("SELECT * FROM `votes_var` WHERE `id_votes` = '$id' ORDER BY votes DESC");
while ($vot_golos = mysql_fetch_array($vot_g))
{
echo "<div class='menu'>";
echo "$vot_golos[otvet] (Голосов: $vot_golos[votes])<br>";
if($vot_golos[votes]==0){
$proc=0;
}else{
$proc=round(($vot_golos[votes]/$votes[votes])*100,1);
}
echo "<img src=\"grafic.php?rat=$proc\" alt=\"\"></div>";
}}

if($on==1){
if($votes_access[id]==""){
$vote_yes=mysql_query("SELECT * FROM `votes_var` WHERE `id_votes` = '$id'");
while ($votes_yes = mysql_fetch_array($vote_yes))
{
$golos_id=filtr($_POST["otvet".($votes_yes[id]).""]);
if($golos_id==1){
mysql_query("UPDATE `votes` SET `votes` = votes+1 WHERE `id`='$id'");
mysql_query("UPDATE `votes_var` SET `votes` = votes+1 WHERE `id`='$votes_yes[id]'");
mysql_query("INSERT INTO `votes_access` (`id_user`, `id_votes`) VALUES('$user[id]', '$id')");
echo "Ваш голос принят<br>";
echo "<a href=\"votes.php?id=$id\">Смотреть статистику голосования</a>";
include_once("incs/down.php");
}}}

if($votes_access[id]==""){
echo "<div class='rowap'>";
echo "<b>$votes[name]</b><br><br>";
echo "<form action=\"votes.php?id=$id\" method=\"post\">";
$vot_g=mysql_query("SELECT * FROM `votes_var` WHERE `id_votes` = '$id'");
while ($vot_golos = mysql_fetch_array($vot_g))
{
echo "<input type=\"radio\" name=\"otvet".($vot_golos[id])."\" value=\"1\"/> $vot_golos[otvet]<br>";
}
echo "<input type=\"submit\" value=\"Голосовать\"/></form>";
echo "</div>";
}
}

}else{
head("Опрос - Ошибка",$meuser,$auth);
echo "<div class='rowup'>";
include_once("incs/title.php");
echo "<a href=\"votes.php\">Опрос</a> - Ошибка</div>";
echo "Такого опроса не существует<br>";
}
include_once("incs/down.php");
}

head("Опрос",$meuser,$auth);
echo "<div class='rowup'>";
include_once("incs/title.php");
echo "Опрос</div>";

if($on==1){
$end=$user[msg_for_page];
}else{
$end=10;}
$skok_pages=ceil($k_post/$end);
if(!isset($_GET['page'])){
$page=1;
}else{
$page=intval($_GET['page']);
if($page<1){$page=1;}
if($page>$skok_pages){$page=1;}
}
if($page==1 OR $page<1){
$start=0;
}else{
$start=($page-1)*$end;
}

$k_post = mysql_num_rows(mysql_query("SELECT id FROM `votes`"));
if ($k_post==0)
{
echo "Нет опросов<br>";
}

$vot=mysql_query("SELECT * FROM `votes` WHERE `id` != '0' ORDER BY id DESC LIMIT $start,$end");
while ($vote = mysql_fetch_array($vot))
{
if($num==1){
echo "<div class='reki'>";
$num=0;
}else{
echo "<div class='rek'>";
$num=1;}
echo "<a href=\"votes.php?id=$vote[id]\">$vote[name] ($vote[votes])</a></div>";
}

if($skok_pages>1){
for($i=1;$i<=$skok_pages;$i++){
if($i==$page){
echo "<span class=\"str_t\">$i</span>";
}else{
echo "<span class=\"str_l\"><a href='?page=$i'>$i</a></span>";
}}}
if($user[level]>=9){
echo "<div class=\"menu\"><a href=\"votes.php?act=new\">Сoздать новый опрос</a></div>";
}
include_once("incs/down.php");
?>